<?php get_header(); ?>

<?php /* Template Name: submit-map */

// security check
$nonce=$_REQUEST['_wpnonce'];
if (! wp_verify_nonce($nonce, 'map-request') ) die('Error: Security Fail!'); 

// validation check - require content, location text, latlng, email
if (!$_POST['content'] || !$_POST['post_location'] || !$_POST['post_latlng'] || !$_POST['post_email']) die('Error: Missing important info!'); 

if( 'POST' == $_SERVER['REQUEST_METHOD']  ) {

	// Set up the basic content
	$post = array(
		'post_content'	=> attribute_escape($_POST['content']),
		//'post_category'	=> array($_POST['cat']),  		// Not Usable for custom taxonomies too
		'post_status'	=> 'publish',			// Choose: publish, preview, future, etc.
		'post_type'		=> 'pcc_map'  				// Use a custom post type if you want to
	);
	
	// Try to add post, grab id
	$postID = wp_insert_post($post); 
	
	
	// if post was added
	if($postID){
		
		// grab loc text
		$location = $_POST['post_location'];
		
		// grab link
		$link = get_bloginfo('url').'/map/'.$postID;
		
		// add taxonomy
		wp_set_post_terms( $postID, array($_POST['cat']), 'pcc_user_type', false );
		
		// translate (n, n) to n & n
		$latlng = explode(",",str_replace( array("(",")"," "), '', $_POST['post_latlng']));
		$lat = $latlng[0];
		$lng = $latlng[1];
	
		// Add meta 
		add_post_meta($postID, 'location-text', attribute_escape($_POST['post_location']));
		add_post_meta($postID, 'location-lat', $lat);
		add_post_meta($postID, 'location-lng', $lng);
		add_post_meta($postID, 'user-email', attribute_escape($_POST['post_email']));
		
		// optional
		if ($_POST['post_name']){
			add_post_meta($postID, 'user-name', attribute_escape($_POST['post_name']));	
		}
		
		// Notify moderator email
		post_moderator($postID);
		
		// Goto 10 						
		//wp_redirect( home_url()."/preview/?map=$postID" );
	}
		
	
} 
else{
	die("Error: Well, that didn't work...");	
}

// Do the wp_insert_post action to insert it
//do_action('wp_insert_post', 'wp_insert_post'); 

?>



<!-- BEGIN WP SINGLE -->	  


<script type="text/javascript">
/* map */
$(document).ready(function(){
	var latlng = new google.maps.LatLng(<?php echo $lat.",".$lng; ?>);
	var myOptions = {
		zoom: 10,
		center: latlng,
		navigationControl: true,
		scaleControl: false,
		mapTypeControl: false,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	
	
/**
* Data for the markers 
* [z-index, lat, lng, title, content]
*/
var markers = [
	<?php echo "[$postID, $lat, $lng,'mark-$postID', '$location']";	?>
	];
	
	var map = new google.maps.Map(document.getElementById("map-canvas"), myOptions);
	setMarkers(map, markers);
	
}); 



	
function setMarkers(map, locations) {
	
	

  for (var i = 0; i < locations.length; i++) {
    var marker = locations[i];
    var latlng = new google.maps.LatLng(marker[1],marker[2]);
	var thisMark = new google.maps.Marker({
		position: latlng, 
		map: map,
		zIndex: marker[0],
		title:marker[3],
		html: marker[4]
	});  

   var infowindow = new google.maps.InfoWindow({
                content: "Temp Content"
     });

	google.maps.event.addListener(thisMark, 'click', function() {
        infowindow.setContent(this.html);
		infowindow.open(map, this);
	});

  }
}

/*attacheMessage(map,thisMark,marker[4]); 
  }
}
function attachMessage(map,marker,message) {
  var infowindow = new google.maps.InfoWindow(
      { content: message
      });
  google.maps.event.addListener(marker, 'click', function() {
    infowindow.open(map,marker);
  });
}*/

</script>




<!-- PAGE CONTENT -->

<div id="content" class="map-page"> <a name="pagecontent" id="pagecontent" ></a> 
    <!-- SECTION TITLE -->
    <div id="stitle">
      <p id="dirnav" class="hide"></p>
      <h2><img src="<?php bloginfo('template_directory'); ?>/images/title-thanks-for.png" width="869" height="60" alt="How has PCC touched your life?" /></h2>
      
      <!-- map and add -->
      <div id="thanks-container">
        <div id="map-canvas" style="width:300px; height:175px;left:auto; right:0;"></div>
        <div id="thanks">
          <h4><img src="<?php bloginfo('template_directory'); ?>/images/title-uploaded.png" alt="Your story has been uploaded" id="uploaded"/></h4>
          <p>It is located at: <strong><a href="<?php echo $link; ?>"><?php echo $link; ?></a></strong></p>
          <p>We take the time to look over each submission. Posts with spam, gibberish or profanity may be moderated or removed. In fact, we reserve the right to remove submissions for any reason. That said, you seem like a cool person - we should be able to get your story up soon. Thanks again!</p>
          <h4><img src="<?php bloginfo('template_directory'); ?>/images/title-social.png" alt="Let everyone know!" width="530" height="60" usemap="#social-map" /></h4>
          <?php
				$sTitle = urlencode("Learn how Portland Community College has touched my life ");
			?>
          <map name="social-map" id="social-map">
            <area shape="rect" coords="3,22,42,59" class="popup" href="http://www.facebook.com/share.php?u=<?php echo $link; ?>" title="Post on Facebook" alt="Post on Facebook" target="_blank" />
            <area shape="rect" coords="48,22,87,59" class="popup" href="http://twitter.com/home?status=<?php echo $sTitle; ?><?php echo $link; ?>%20@PortlandCC" title="Send a Tweet" alt="Send a Tweet" target="_blank"/>
            <area shape="rect" coords="93,23,132,60" class="popup" href="http://www.myspace.com/Modules/PostTo/Pages/?l=3&amp;u=<?php echo $link; ?>" title="Share on MySpace" alt="Share on MySpace" target="_blank"/>
            <area shape="rect" coords="138,22,177,59" class="popup" href="http://www.stumbleupon.com/submit?url=<?php echo $link; ?>" title="Submit to Stumbleupon" alt="Submit to Stumbleupon" target="_blank"/>
            <area shape="rect" coords="183,22,222,59" class="popup" href="http://www.google.com/bookmarks/mark?op=edit&amp;bkmk=<?php echo $link; ?>&amp;title=<?php echo $sTitle; ?>" title="Bookmark with Google" alt="Bookmark with Google" target="_blank"/>
            <area shape="rect" coords="228,23,267,60" class="popup" href="http://digg.com/submit?phase=2&amp;url=<?php echo $link; ?>&amp;title=<?php echo $sTitle; ?>" title="Digg this Article" alt="Digg this Article" target="_blank"/>
            <area shape="rect" coords="272,23,311,60" class="popup" href="http://technorati.com/faves?add=<?php echo $link; ?>" title="Submit to Technorati" alt="Submit to Technorati" target="_blank"/>
          </map>
        </div>
      </div>
      
      
    </div>
    <!-- MAIN TEXT -->
    <div id="main">
      <h3><img src="<?php bloginfo('template_directory'); ?>/images/photo-get-ready.jpg" alt="Photo of student working hard" width="250" height="146" class="imgright" /><img src="<?php bloginfo('template_directory'); ?>/images/title-learn-how.png" width="550" height="40" alt="Now, learn how to get involved" /></h3>
      <p>Beginning in fall 2011, Portland Community College will be celebrating 50 years of service to our community. </p>
      <p>As this important milestone approaches, we are taking the time to reflect on where the college has been over the last 50 years, where we are now, and where we're headed.</p>
      <p>For the next year, you will have the opportunity to participate in planning the 50th anniversary by sharing your stories of PCC, voting on ideas and providing feedback on the work being done by the 50th Anniversary Planning Committee.      </p>
      <h4 class="clear"><img src="<?php bloginfo('template_directory'); ?>/images/title-help-us-plan.png" width="248" height="31" alt="Help us plan the celebration" /></h4>
      <p>We look forward to hearing from you! </p>
      <form id="form-help-us" action="http://www.pcc.edu/mailform/mailform.cfm" method="post">
        <fieldset>
          <legend>Form</legend>
          <input type="hidden" name="author" value="webteam@pcc.edu" />
          <input type="hidden" name="Subject" value="50th Celebration Idea" />
          <input type="hidden" name="success" value="/resources/web/forms/corrections/success.html" />
          <input type="hidden" name="to" value="gabriel.nagmay@pcc.edu,lmenchu@pcc.edu" /><!-- <?php echo get_option('admin_email'); ?> -->
          <input name="name" id="name" type="text" class="required clear-default" title="your name" value="Your Name" />
          <input name="from" id="from" type="text" class="required clear-default" title="your email" value="Your Email" />
          <textarea id="idea" name="idea" title="Your idea" rows="5" cols="100" class="clear-default">Tell us your idea for the celebration...</textarea>
          <input type="submit" id="submit_idea" class="submit" value="Submit this idea" />
        </fieldset>
      </form>
      <h4><img src="<?php bloginfo('template_directory'); ?>/images/title-whats-next.png" width="220" height="41" alt="What is coming up next?" /></h4>
      <p>Learn more about upcoming events and getting involved by reading the <a href="/blog/">planning committee blog</a>: </p>
      
      <!-- blog posts -->
      <?php 
	 
			query_posts(array('post_type'=>'post','showposts'=>5,'post_status' => 'publish')); /* grab all published mapposts */ 
			while (have_posts()) : the_post(); 
				$title 	= get_the_title();
				$excerpt = get_the_excerpt();
		?>
        <div class="post-list" id="post-<?php the_ID(); ?>">  
            <h5>
			<?php if ( function_exists( 'get_the_image' ) ) { get_the_image( array( 'custom_key'=>array('imgleft'), 'size'=>'thumbnail' )); } ?>
			<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php echo $title; ?></a></h5>
			<p><?php the_time('l, F jS, Y') ?></p>
            <p><?php echo $excerpt; ?> <a href="<?php the_permalink(); ?>">Read More</a> <?php comments_popup_link('', '| 1 Comment', '| % Comments','',''); ?> <?php edit_post_link('Edit', ' | ', ''); ?></p>
		</div>
		<?php endwhile; ?>
        
        
     </div></div>
   
<!-- END WP SINGLE -->	   
<?php get_footer(); ?> 